import { AfterViewInit, ChangeDetectorRef, DoCheck, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiSignatureElement } from "../../elements/StiSignatureElement";
import { StiMouseService } from "../../services/mouse.service";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { Subscription } from "rxjs/internal/Subscription";
import { SignatureService } from "../../services/sti-signature.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiFontService } from "../../services/sti-font.service";
import * as i0 from "@angular/core";
export declare class StiSignatureComponent implements OnInit, AfterViewInit, DoCheck, OnDestroy {
    model: StiModelService;
    mouse: StiMouseService;
    resize: StiComponentResizerService;
    loc: StiLocalizationService;
    signatureService: SignatureService;
    helper: StiHelperService;
    fontService: StiFontService;
    private cdr;
    element: StiSignatureElement;
    isClone: boolean;
    sigPad: ElementRef;
    ref: ElementRef;
    label: ElementRef;
    mouseUpSubscription: Subscription;
    buttonClickSubscribe: Subscription;
    loadedImageSubscribe: Subscription;
    topMargin: number;
    labelRef: any;
    drawingMode: boolean;
    textMode: boolean;
    isDrawing: boolean;
    loadedImage: boolean;
    context: any;
    sigPadElement: any;
    textContent: any;
    isInitialized: boolean;
    isDrawingMode(): boolean;
    get isAspectRatio(): any;
    get align(): string;
    get isCurrentEditableSignature(): boolean;
    getImageWidth(parentContainer: any): any;
    get cursor(): string;
    isOldVersion(): boolean;
    getInsertedTextValue(): string;
    getTypeTextValue(): string;
    showSignatureEditor(): void;
    get canvasWidth(): number;
    get oldBackgroundImage(): string;
    get image(): string;
    get drawedImage(): string;
    getUrlImage(image: any): string;
    get alignment(): "center" | "start" | "end";
    getHorizontalAlignment(): "center" | "start" | "end";
    getBackgroundSize(container: any): string;
    getCanvasSize(container: any): string;
    getBackgroundPosition(): string;
    get canvasHeight(): number;
    constructor(model: StiModelService, mouse: StiMouseService, resize: StiComponentResizerService, loc: StiLocalizationService, signatureService: SignatureService, helper: StiHelperService, fontService: StiFontService, cdr: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngDoCheck(): void;
    isCanvasBlank(canvas: any): boolean;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    UpdateState(): void;
    private relativeCoords;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiSignatureComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiSignatureComponent, "sti-signature-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
